// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: commonmodule/commonmodule.proto

package openfmb.commonmodule;

public interface TmHzCSGOrBuilder extends
    // @@protoc_insertion_point(interface_extends:commonmodule.TmHzCSG)
    com.google.protobuf.MessageOrBuilder {

  /**
   * <pre>
   * HF Trip Curve Points
   * </pre>
   *
   * <code>repeated .commonmodule.TmHzPoint overCrvPts = 1 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   */
  java.util.List<openfmb.commonmodule.TmHzPoint> 
      getOverCrvPtsList();
  /**
   * <pre>
   * HF Trip Curve Points
   * </pre>
   *
   * <code>repeated .commonmodule.TmHzPoint overCrvPts = 1 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   */
  openfmb.commonmodule.TmHzPoint getOverCrvPts(int index);
  /**
   * <pre>
   * HF Trip Curve Points
   * </pre>
   *
   * <code>repeated .commonmodule.TmHzPoint overCrvPts = 1 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   */
  int getOverCrvPtsCount();
  /**
   * <pre>
   * HF Trip Curve Points
   * </pre>
   *
   * <code>repeated .commonmodule.TmHzPoint overCrvPts = 1 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   */
  java.util.List<? extends openfmb.commonmodule.TmHzPointOrBuilder> 
      getOverCrvPtsOrBuilderList();
  /**
   * <pre>
   * HF Trip Curve Points
   * </pre>
   *
   * <code>repeated .commonmodule.TmHzPoint overCrvPts = 1 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   */
  openfmb.commonmodule.TmHzPointOrBuilder getOverCrvPtsOrBuilder(
      int index);

  /**
   * <pre>
   * LF Trip Curve Points
   * </pre>
   *
   * <code>repeated .commonmodule.TmHzPoint underCrvPts = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   */
  java.util.List<openfmb.commonmodule.TmHzPoint> 
      getUnderCrvPtsList();
  /**
   * <pre>
   * LF Trip Curve Points
   * </pre>
   *
   * <code>repeated .commonmodule.TmHzPoint underCrvPts = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   */
  openfmb.commonmodule.TmHzPoint getUnderCrvPts(int index);
  /**
   * <pre>
   * LF Trip Curve Points
   * </pre>
   *
   * <code>repeated .commonmodule.TmHzPoint underCrvPts = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   */
  int getUnderCrvPtsCount();
  /**
   * <pre>
   * LF Trip Curve Points
   * </pre>
   *
   * <code>repeated .commonmodule.TmHzPoint underCrvPts = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   */
  java.util.List<? extends openfmb.commonmodule.TmHzPointOrBuilder> 
      getUnderCrvPtsOrBuilderList();
  /**
   * <pre>
   * LF Trip Curve Points
   * </pre>
   *
   * <code>repeated .commonmodule.TmHzPoint underCrvPts = 2 [(.uml.option_required_field) = true, (.uml.option_multiplicity_min) = 1];</code>
   */
  openfmb.commonmodule.TmHzPointOrBuilder getUnderCrvPtsOrBuilder(
      int index);
}
